Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007191OCaml~DO NOT USE (was: OCaml general)public2016-03-21 21:562017-09-24 17:32
Reporteraleksey 
Assigned Tochambart 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0007191: 4.03.0+beta1+flambda ocamlopt crashes: "Fatal error: Stubs may not be annotated as [Always_specialise]"
Descriptionocamlopt from 4.03.0+beta1+flambda opam version crashes on compiling the following file:

let foo f x = f x [@@specialise]
let bar = foo (+) 0

with the following error:

>> Fatal error: Stubs may not be annotated as [Always_specialise]: (apply*[foo/56] foo/56
                                                     f/57)

Fatal error: exception Misc.Fatal_error

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015570)
chambart (developer)
2016-03-22 12:50

It was fixed a few days ago in https://github.com/ocaml/ocaml/commit/0c3ccbd83846379a063754fc6fd7d305c14e9be9 [^]
It is not yet released.

This was a problem with generated stub functions keeping the annotation of their parent.

- Issue History
Date Modified Username Field Change
2016-03-21 21:56 aleksey New Issue
2016-03-22 12:47 chambart Assigned To => chambart
2016-03-22 12:47 chambart Status new => assigned
2016-03-22 12:50 chambart Note Added: 0015570
2016-03-22 12:50 chambart Status assigned => resolved
2016-03-22 12:50 chambart Fixed in Version => 4.03.0+dev / +beta1
2016-03-22 12:50 chambart Resolution open => fixed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)
2017-09-24 17:32 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker